com.taosdata.jdbc.ws

## Class CustomWebSocketFrameEncoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelOutboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageEncoder<io.netty.handler.codec.http.websocketx.WebSocketFrame>
      - - com.taosdata.jdbc.ws.CustomWebSocketFrameEncoder

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelOutboundHandler, io.netty.handler.codec.http.websocketx.WebSocketFrameEncoder

    public class CustomWebSocketFrameEncoder
    extends io.netty.handler.codec.MessageToMessageEncoder<io.netty.handler.codec.http.websocketx.WebSocketFrame>
    implements io.netty.handler.codec.http.websocketx.WebSocketFrameEncoder

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`CustomWebSocketFrameEncoder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `encode(io.netty.channel.ChannelHandlerContext ctx, io.netty.handler.codec.http.websocketx.WebSocketFrame msg, List<Object> out)`

### Methods inherited from class io.netty.handler.codec.MessageToMessageEncoder

`acceptOutboundMessage, write`

### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

`bind, close, connect, deregister, disconnect, flush, read`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, exceptionCaught, handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelOutboundHandler

`bind, close, connect, deregister, disconnect, flush, read, write`

### Methods inherited from interface io.netty.channel.ChannelHandler

`exceptionCaught, handlerAdded, handlerRemoved`

### Constructor Detail

#### CustomWebSocketFrameEncoder

    public CustomWebSocketFrameEncoder()

### Method Detail

#### encode

    protected void encode(io.netty.channel.ChannelHandlerContext ctx,
                          io.netty.handler.codec.http.websocketx.WebSocketFrame msg,
                          List<Object> out)
                   throws Exception

Specified by:
  `encode` in class `io.netty.handler.codec.MessageToMessageEncoder<io.netty.handler.codec.http.websocketx.WebSocketFrame>`
Throws:
  `Exception`